<?php

/*
=====================================================================

  프로젝트 이름 : 피리 카페 심플

  만든사람 : 피리 PIREE ( tosports@naver.com )

  홈페이지 : https://piree.kr/nett_dev

  작성날짜 : 2024년 04월 21일 일요일 오후 13시 40분 / 흐림,19.8 , 쾌적, 20, 13, 28%, 30%, 3.5ms / 최고 좋음, 9, 3

  저 작 권 : Copyright ⓒ 2024 피리 piree.kr All right reserved
              그누보드 외에 추가된 소스는~
              만든사람의 허락없이 무단으로 사용할수 없습니다.
              사용하고자 할 경우 만든사람의 허락을 받아야 합니다.
              http://.piree.kr 에 문의해 주세요.

=====================================================================
 피리 카페 심플 > 프로그램 > 피리 카페 관리 > 내 카페 > 게시판 > 스킨 > PC 스킨 > 복사하기
=====================================================================

*/

  IF (!defined('_GNUBOARD_'))                      EXIT;

  // add_stylesheet('css 구문', 출력순서); 숫자가 작을 수록 먼저 출력됨
  add_stylesheet('<link rel="stylesheet" href="'. $member_skin_url.'/style.css">', 0);

?>

<div id="copymove" class="new_win">
    <h1 id="win_title"><?php echo $g5['title'] ?></h1>
    <form name="fboardmoveall" method="post" action="<?php echo $piree_cafe_board_move_action_u ?>" onsubmit="return fboardmoveall_submit(this);">
    <input type="hidden" name="sw" value="<?php echo $sw ?>">
    <input type="hidden" name="mode_c"       value="piree_cafe_article_move">
    <input type="hidden" name="piree_cafe_n" value="<?php echo $piree_cafe_n ?>">
    <input type="hidden" name="board_cate_n" value="<?php echo $board_cate_n ?>">
    <input type="hidden" name="bo_table"     value="<?php echo $piree['cafe_board_code'] ?>">
    <input type="hidden" name="wr_id_list"   value="<?php echo $wr_id_list ?>">
    <input type="hidden" name="sfl"          value="<?php echo $sfl ?>">
    <input type="hidden" name="stx"          value="<?php echo $stx ?>">
    <input type="hidden" name="spt"          value="<?php echo $spt ?>">
    <input type="hidden" name="sst"          value="<?php echo $sst ?>">
    <input type="hidden" name="sod"          value="<?php echo $sod ?>">
    <input type="hidden" name="page"         value="<?php echo $page ?>">
    <input type="hidden" name="act"          value="<?php echo $act ?>">
    <input type="hidden" name="url"          value="<?php echo get_text(clean_xss_tags($_SERVER['HTTP_REFERER'])); ?>">

    <div class="tbl_head01 tbl_wrap">
        <table>
        <caption><?php echo $act ?>할 게시판을 한개 이상 선택하여 주십시오.</caption>
        <thead>
        <tr>
            <th scope="col">
                <label for="chkall" class="sound_only">현재 페이지 게시판 전체</label>
                <input type="checkbox" id="chkall" onclick="IF ( this.checked) all_checked(true); else all_checked(false);">
            </th>
            <th scope="col">게시판 분류</th>
        </tr>
        </thead>
        <tbody>
<?php

  IF ( count($board_cate_list_a) > 0 )
  {

    FOREACH ( $board_cate_list_a AS $loop_cate_n=>$val )
    {

      IF ( $loop_cate_n > 0 )
      {

        $atc_mark = '';

        $atc_bg = '';

        IF ( $board_cate_n == $loop_cate_n )
        {
//$atc_mark = '<span class="copymove_current">현재<span class="sound_only">게시판</span></span>';
//$atc_bg   = 'copymove_currentbg';
        }

?>
        <tr class="<?php echo $atc_bg; ?>">
            <td class="td_chk">
                <label for="chk<?php echo $loop_cate_n ?>" class="sound_only"><?php echo $loop_cate_n ?></label>
                <input type="checkbox" id="chk<?php echo $loop_cate_n ?>" name="new_board_cate_n[]" value="<?php echo $loop_cate_n ?>">
            </td>
            <td>
                <label for="chk<?php echo $loop_cate_n ?>" class="font_444_10">
                    <?php echo str_replace('--', ' > ', $val['bca_s_p']); ?> 
                    <?php echo $atc_mark; ?>
                </label>
            </td>
        </tr>
<?php

      }

    }

  }

?>
        </tbody>
        </table>
    </div>

    <div class="win_btn">
        <input type="submit" value="<?php echo $act ?>" id="btn_submit" class="btn_submit">
    </div>
    </form>

</div>

<script>
$(function() {
    $(".win_btn").append("<button type=\"button\" class=\"btn_cancel btn_close\">창닫기</button>");

    $(".win_btn button").click(function() {
        window.close();
    });
});

function all_checked(sw) {
    var f = document.fboardmoveall;

    for (var i=0; i<f.length; i++) {
        IF ( f.elements[i].name == "new_board_cate_n[]")
            f.elements[i].checked = sw;
    }
}

function fboardmoveall_submit(f)
{
    var check = false;

    IF ( typeof(f.elements['new_board_cate_n[]']) == 'undefined')
        ;
    else {
        IF ( typeof(f.elements['new_board_cate_n[]'].length) == 'undefined') {
            IF ( f.elements['new_board_cate_n[]'].checked)
                check = true;
        } else {
            for (i=0; i<f.elements['new_board_cate_n[]'].length; i++) {
                IF ( f.elements['new_board_cate_n[]'][i].checked) {
                    check = true;
                    break;
                }
            }
        }
    }

    IF ( !check) {
        alert('게시물을 '+f.act.value+'할 게시판을 한개 이상 선택해 주십시오.');
        return false;
    }

    document.getElementById('btn_submit').disabled = true;

    f.action = '<?php echo $piree_cafe_board_move_action_u ?>';
    return true;
}
</script>
